Have O3DSXL 4.5sys w/ Gateway and a Cubic Ninja. How do I....

Discussion in '3DS - Flashcards & Custom Firmwares' started by Starzboy77, Jan 1, 2016.

  1. Starzboy77
    OP

    Starzboy77 GBAtemp Regular

    Member
    123
    3
    Feb 4, 2004
    United States
    How do I take advantage of the newest Gateway firmware allowing a quicker way to get into emunand? I have cubic ninja but have never used it since my Gateway has done everything I needed. Never used rxtools or anything like that. Thank you in advance.
     


  2. Ericjwg

    Ericjwg Good

    Member
    2,827
    681
    Jul 2, 2015
    Canada
    Last edited by Ericjwg, Jan 1, 2016
  3. Starzboy77
    OP

    Starzboy77 GBAtemp Regular

    Member
    123
    3
    Feb 4, 2004
    United States
    First, thank you for responding. I'm confused though. I think I downloaded the correct 9.2.0.20 cia pack but I am unsure how to update the console manually. If I am not supposed to use sysupdater while in Gateway mode, then how do you use it? I don't have Pasta CFW.
     
  4. reiyu

    reiyu Canadian, eh?

    Member
    861
    187
    Jan 8, 2008
    Canada
    i suggest staying in 4.5, and just using the DS Profile exploit to launch gateway. the only thing you lose is autoboot anyway.
     
    Lacius, cvskid and RitchieRitchie like this.
  5. Quantumcat

    Quantumcat Dead and alive

    Member
    9,778
    5,106
    Nov 23, 2014
    Australia
    Canberra, Australia
    If you update in Gateway mode you will brick your console. Follow the tutorial linked exactly.

    Edit: just read the instructions and saw that it didn't tell you that part. Well, you can set up rxtools then and use devMode/pasta mode from it. Rxtools tutorial is here: https://gbatemp.net/threads/tutorial-installing-rxtools-custom-firmware-3ds-and-2ds.390867/
     
    Last edited by Quantumcat, Jan 1, 2016
  6. Starzboy77
    OP

    Starzboy77 GBAtemp Regular

    Member
    123
    3
    Feb 4, 2004
    United States
    I understand this but I don't know how to use sysupdater if I am not in gateway mode. I don't have CFW installed. It looks like the tutorial is for those who have pasta CFW installed.
     
  7. crimpshrine

    crimpshrine GBAtemp Regular

    Member
    166
    39
    Jun 18, 2014
    United States
    If you downloaded the US 9.2.0.20 cia pack from the site everyone refers to as the iso site it will update you to 9.0.0-20 actually.

    I went through the same thing.

    If you read through the forum posting on all the firmware packs, several people mention this and another detail saying:


    I can't find any other source for the .cia's for 9.2.0.20 to use with sysupdater.

    Can someone point us in the direction of where we can actually find 9.2.0-20 cia's to use with sysupdater, other than from that iso site?

    Thanks
     
  8. skidooelan

    skidooelan GBAtemp Regular

    Member
    103
    24
    Dec 29, 2015
    Canada
    Somewhere people speak french
    But why you need absolutly 9.2 and not 9.0?
     
  9. crimpshrine

    crimpshrine GBAtemp Regular

    Member
    166
    39
    Jun 18, 2014
    United States
    Everything I read said to use 9.2.0-20, so I was trying to get to that specific version. I have already updated, and am at 9.0.0-20U.

    Auto boot into gateway mode should work on 9.0 also? I keep reading about inconsistencies with auto booting into gateway mode not working every time.
     
    Last edited by crimpshrine, Jan 1, 2016
  10. Quantumcat

    Quantumcat Dead and alive

    Member
    9,778
    5,106
    Nov 23, 2014
    Australia
    Canberra, Australia
    9.0 and 9.2 are identical from a hacking point of view. I think 9.2 introduced theme shuffling or something.
     
  11. Starzboy77
    OP

    Starzboy77 GBAtemp Regular

    Member
    123
    3
    Feb 4, 2004
    United States
    Well I downloaded a CIA pack from a mega upload and sysupdater gives a title exception error and force quits. I think I know what iso site everyone is referring too but I can't find fw CIA packs at all on the site.
     
  12. crimpshrine

    crimpshrine GBAtemp Regular

    Member
    166
    39
    Jun 18, 2014
    United States
    OK thanks, then I won't be set on getting to 9.2.

    Starzboy77, I tried to follow that guide linked above and did not have the best results.

    What wound up working for me (Starting at 4.4 on US O3DS) was formatting a fresh SD card, copying the sysupdate CIA and updates folder (containing all the cia's from the updates downloaded) onto it, and gateway files, booting into gateway mode, using big blue menu 3ds to install the sysupdate CIA onto sysnand. Powered off and removed SD card and prepared rxTools 2.5.2 (2.6 would not launch for me) copied that to the SD card and booted up o3ds and setup Internet (before connecting 3ds to wifi, first made sure my local DNS server was not resolving ANY *.nintendo.net names to avoid any update prompts)

    I was able to then open browser and go to launch.rxTools.net

    When it launched I chose dev mode and when I was back at the main menu of my 3ds I launched sysupdate icon and updated. The only issue was I wound up on 9.0.0-20U, but as others have stated I guess it is good enough.

    I also then booted back into gateway mode (using the browser) and uninstalled sysupdate from sysnand with big blue menu.

    I don't know if I could have simplified it any more, but it worked.
     
    Last edited by crimpshrine, Jan 1, 2016
    Quantumcat likes this.
  13. skidooelan

    skidooelan GBAtemp Regular

    Member
    103
    24
    Dec 29, 2015
    Canada
    Somewhere people speak french
    That's probably the simplest way you could have make this done... (sorry for my crappy english).
     
  14. Starzboy77
    OP

    Starzboy77 GBAtemp Regular

    Member
    123
    3
    Feb 4, 2004
    United States
    I think my problem is that I can't find where to download the 9.2.0.20 cia pack or even the 9.0.0.20 cia pack. Again, I think I know what iso site everyone refers to but I can't find firmware cias on there.
     
  15. Starzboy77
    OP

    Starzboy77 GBAtemp Regular

    Member
    123
    3
    Feb 4, 2004
    United States
    Nevermind. I found them but still can't do this. I get a error -2 code when trying to install RXtools. I can't get the firmware.bin file. The RXtools how to says to use the .exe program included in the download but there is no .exe program. I think I will just stick with the DS profile exploit. Not worth all this trouble.
     
  16. Quantumcat

    Quantumcat Dead and alive

    Member
    9,778
    5,106
    Nov 23, 2014
    Australia
    Canberra, Australia
    Did it definitely say .exe and not .py?
     
  17. Starzboy77
    OP

    Starzboy77 GBAtemp Regular

    Member
    123
    3
    Feb 4, 2004
    United States
    .py is the file that comes with the download and there is no way to run it? It is just a place holder since it is 1kb in size. I don't know if I am approaching this the wrong way. The instructions are not complete.
     
  18. Quantumcat

    Quantumcat Dead and alive

    Member
    9,778
    5,106
    Nov 23, 2014
    Australia
    Canberra, Australia
    You should be able to run it if you have Python 2.7 installed. But it sounds strange being 1kb. I'll look into it when I get home, if no one else has solved it for you. It shouldn't be that hard, hopefully we can help you work it out.

    Edit: I have my computer with me I just realised. In my rxtools 2.6 folder, my cdn_firm.py is also 1KB but it worked. The readme says .exe but it's not.

    I also realised I have 3.0.7 and 3.0.8 and the cdn_firm.py are all 1KB and each one has a firmware.bin in it so they must have worked also!
     
    Last edited by Quantumcat, Jan 2, 2016
  19. samiam144

    samiam144 RĂ©gulier

    Member
    2,869
    935
    Aug 19, 2007
    Canada
    The .py is supposed to be 1 KB. Like Quantumcat said, you need to install Python 2.7. More detailed instructions can be found in the tutorial linked above.

    (That being said, Mini-Pasta/PastaCFW would be much easier to set up since you already have Cubic Ninja. Links can be found on the forum and in the tutorial as well.)
     
    Last edited by samiam144, Jan 2, 2016
    Quantumcat likes this.
  20. crimpshrine

    crimpshrine GBAtemp Regular

    Member
    166
    39
    Jun 18, 2014
    United States

    Just a follow up to this, I wound up updating to 9.2.0.20, don't use the 9.2.0.20 update on that iso site, it's not right. Like I said it before, it updated my O3ds to 9.0.0-20 actually, and then I found out my dev mode was broke. So I jumped through hoops and finally got it downgraded back to 4.2 and dev mode worked again, re-updated to 9.2.0-20 - THIS TIME USING the update package for 9.2.0-20 on the OTHER website that had these CIA packages. This one worked, now I am on 9.2.0-20. I still can't get back into dev mode though.

    I compared the 6 CIA files from the one on that iso site, and they all differed then the 9.2.0-20 package from the other site.


    I went through this because I have been having really poor consistency in booting into gateway mode. (2 out of 5 boots) I have no idea if this will help, but after I found out I could no longer get into dev mode on 9.0.0-20 I figured it was worth a try getting to the right 9.2.0-20.

    Does dev mode NOT work in 9+ versions? Or maybe the devmode is not being upgraded in the CIA pack for 9.2.0-20? Anyone know?